Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 4328)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -203,5 +206,5 @@
         ONLY:  advc_flags_s,                                                   &
                nbgp, nxl, nxlg, nxlu, nxr, nxrg, nyn, nyng, nys, nysg, nysv,   &
-               nzb, nzt, wall_flags_0
+               nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -373,5 +376,5 @@
                                                      * ( u(k,j,i) - u_init(k) ) &
                                         ) * MERGE( 1.0_wp, 0.0_wp,              &
-                                                   BTEST( wall_flags_0(k,j,i), 1 )&
+                                                   BTEST( wall_flags_static_0(k,j,i), 1 )&
                                                  )
              ENDDO
@@ -451,5 +454,5 @@
                                                      * ( v(k,j,i) - v_init(k) )&
                                         ) * MERGE( 1.0_wp, 0.0_wp,             &
-                                                   BTEST( wall_flags_0(k,j,i), 2 )&
+                                                   BTEST( wall_flags_static_0(k,j,i), 2 )&
                                                  )
              ENDDO
@@ -525,5 +528,5 @@
                                              - tsc(5) * rdf(k) * w(k,j,i)      &
                                      ) * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 3 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 3 )&
                                               )
           ENDDO
@@ -623,5 +626,5 @@
                                           )                                    &
                                        * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 0 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 0 )&
                                               )
              ENDDO
@@ -713,5 +716,5 @@
                                         )                                      &
                                        * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 0 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 0 )&
                                               )                
                 IF ( q_p(k,j,i) < 0.0_wp )  q_p(k,j,i) = 0.1_wp * q(k,j,i)
@@ -811,5 +814,5 @@
                                         )                                      &
                                        * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 0 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 0 )&
                                               )
                 IF ( s_p(k,j,i) < 0.0_wp )  s_p(k,j,i) = 0.1_wp * s(k,j,i)
@@ -924,5 +927,5 @@
 !-- Prognostic equation for u-velocity component
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(u, tend, tu_m, u_init, rdf, wall_flags_0) &
+    !$ACC PRESENT(u, tend, tu_m, u_init, rdf, wall_flags_static_0) &
     !$ACC PRESENT(tsc(2:5)) &
     !$ACC PRESENT(u_p)
@@ -935,5 +938,5 @@
                                                         ( u(k,j,i) - u_init(k) ) &
                                      ) * MERGE( 1.0_wp, 0.0_wp,                  &
-                                                 BTEST( wall_flags_0(k,j,i), 1 ) &
+                                                 BTEST( wall_flags_static_0(k,j,i), 1 ) &
                                               )
           ENDDO
@@ -1027,5 +1030,5 @@
 !-- Prognostic equation for v-velocity component
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(v, tend, tv_m, v_init, rdf, wall_flags_0) &
+    !$ACC PRESENT(v, tend, tv_m, v_init, rdf, wall_flags_static_0) &
     !$ACC PRESENT(tsc(2:5)) &
     !$ACC PRESENT(v_p)
@@ -1038,5 +1041,5 @@
                                                       ( v(k,j,i) - v_init(k) ) &
                                      ) * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 2 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 2 )&
                                               )
           ENDDO
@@ -1126,5 +1129,5 @@
 !-- Prognostic equation for w-velocity component
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(w, tend, tw_m, v_init, rdf, wall_flags_0) &
+    !$ACC PRESENT(w, tend, tw_m, v_init, rdf, wall_flags_static_0) &
     !$ACC PRESENT(tsc(2:5)) &
     !$ACC PRESENT(w_p)
@@ -1136,5 +1139,5 @@
                                                - tsc(5) * rdf(k) * w(k,j,i)    &
                                      ) * MERGE( 1.0_wp, 0.0_wp,                &
-                                                BTEST( wall_flags_0(k,j,i), 3 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 3 )&
                                               )
           ENDDO
@@ -1264,5 +1267,5 @@
 !--    Prognostic equation for potential temperature
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-       !$ACC PRESENT(pt, tend, tpt_m, wall_flags_0) &
+       !$ACC PRESENT(pt, tend, tpt_m, wall_flags_static_0) &
        !$ACC PRESENT(pt_init, rdf_sc, ptdf_x, ptdf_y) &
        !$ACC PRESENT(tsc(3:5)) &
@@ -1278,5 +1281,5 @@
                                           )                                    &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
              ENDDO
@@ -1399,5 +1402,5 @@
                                                       ( q(k,j,i) - q_init(k) ) &
                                         ) * MERGE( 1.0_wp, 0.0_wp,             &
-                                                   BTEST( wall_flags_0(k,j,i), 0 ) &
+                                                   BTEST( wall_flags_static_0(k,j,i), 0 ) &
                                                  )
                 IF ( q_p(k,j,i) < 0.0_wp )  q_p(k,j,i) = 0.1_wp * q(k,j,i)
@@ -1520,5 +1523,5 @@
                                         )                                      &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                 IF ( s_p(k,j,i) < 0.0_wp )  s_p(k,j,i) = 0.1_wp * s(k,j,i)
